aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2021-11-09 12:05:07 +0100
committerVratko Polak <vrpolak@cisco.com>2021-11-10 09:19:10 +0000
commit33bc5d2fd8af4e6d397b06e29a30fa5556ae3490 (patch)
tree73c7225b4283ee46ba2e3677edff7cad6014940d /resources/libraries/bash/entry
parentc5f202b8fa105fa8701fae26d04b808c7529e33a (diff)
Fix autogen.sh checker
Previously, the FAIL message was not printed. Change-Id: Id3fc6c126edd42b55cec73294696a0426a73d634 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry')
-rw-r--r--resources/libraries/bash/entry/check/autogen.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/resources/libraries/bash/entry/check/autogen.sh b/resources/libraries/bash/entry/check/autogen.sh
index 4ff214c260..d7cd8e0dbd 100644
--- a/resources/libraries/bash/entry/check/autogen.sh
+++ b/resources/libraries/bash/entry/check/autogen.sh
@@ -50,8 +50,8 @@ cp -rf "${CSIT_DIR}/tests"/* "${GENERATED_DIR}/tests_tmp"/
# I think archiving the diff is enough.
diff_cmd=("diff" "-dur" "${GENERATED_DIR}/tests_tmp" "${GENERATED_DIR}/tests")
-# Diff returns RC=1 if output is nonzero, so we do not die on the next line.
-lines="$("${diff_cmd[@]}" | tee "autogen.log" | wc -l)"
+# Diff returns RC=1 if output is nonzero.
+lines="$("${diff_cmd[@]}" | tee "autogen.log" | wc -l || true)"
if [ "${lines}" != "0" ]; then
# TODO: Decide which text goes to stdout and which to stderr.
warn "Autogen conflict, diff sees nonzero lines: ${lines}"